{% extends 'crud/list.html' %}
{% load crispy_forms_tags %}
{% load crm_utils %}

{% block content %}

    {% block messages %}
            {% if messages %}
                {% for message in messages %}
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
                    <div id="success-alert" class="alert alert-success" role="alert">
                        {{ message }}
                    </div>
                    {% endif %}
                    <script type="application/javascript">
                        setTimeout(function(){
                            document.getElementById("success-alert").style.display = "none";}, 3000);
                    </script>
                {% endfor %}
    {% endif %}
    {% endblock %}

    {% block page_heading %}
        {{ block.super }}
    {% endblock %}
<div class="card shadow mb-4">
            <div class="card-header py-3">
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th><input id="mass-choice" type="checkbox"></th>
                        <th>Имя</th>
                        <th>Тип скидки</th>
                        <th>Скидка</th>
                        <th>Временная</th>
                        <th>Дата начала</th>
                        <th>Дата окончания</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  <tbody>
                  {% for promo in object_list %}
                    <tr>
                      <td><input id="{{ client.id }}" type="checkbox"></td>
                      <td>{{ promo.name }}</td>
                      <td>{{ promo.get_type_of_discount_display }}</td>
                      <td>{{ promo.discount }}</td>
                      <td>
                          {% if promo.temporary %}
                              <i class="fa fa-check-circle" aria-hidden="true"></i>
                          {% else %}
                              <i class="fa fa-times-circle" aria-hidden="true"></i>
                          {% endif %}
                      </td>
                      <td>
                          {% if promo.start_date %}
                            {{ promo.start_date }}
                          {% else %}
                             Не установлена
                          {% endif %}
                      </td>
                      <td>
                          {% if promo.end_date %}
                            {{ promo.end_date }}
                          {% else %}
                             Не установлена
                          {% endif %}

                      </td>
                      <td>
                          <a href="{% url 'promo_edit' promo.id %}" style="text-decoration: none">
                            <i class="fa fa-edit"></i>

                          </a>
                          <a href="{% url 'promo_delete' promo.id %}" style="text-decoration: none" data-toggle="modal" data-target="#deleteModal-{{ promo.id }}">
                            <i class="fa fa-trash"></i>
                          </a>
                              <!-- DELETE MODAL -->
                              <div class="modal fade" id="deleteModal-{{ promo.id }}" tabindex="-1" role="dialog"
                                   aria-labelledby="exampleModalLabel" aria-hidden="true">
                                  <div class="modal-dialog" role="document">
                                      <div class="modal-content">
                                          <div class="modal-header">
                                              <h5 class="modal-title" id="exampleModalLabel">Удалить {{ create_name }}</h5>
                                              <button type="button" class="close" data-dismiss="modal"
                                                      aria-label="Close">
                                                  <span aria-hidden="true">&times;</span>
                                              </button>
                                          </div>
                                          <div class="modal-body">
                                           <p> Вы уверены удалить Акцию {{ promo.name }}???</p>
                                                <form method="post" action="{% url 'promo_delete' promo.id %}" id="delete_form-{{ promo.id }}">
                                                {% csrf_token %}
                                                </form>
                                          </div>
                                          <div class="modal-footer">
                                              <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                                  Закрыть
                                              </button>
                                              <button type="submit"  form="delete_form-{{ promo.id }}" class="btn btn-danger">Удалить</button>
                                          </div>

                                          </div>
                                      </div>
                                  </div>
                              </div>
                          <!-- DELETE MODAL -->

                      </td>

                    </tr>

                      {% block create_modal %}
                            <!-- Modal -->
                            <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"> Создать {{ create_name }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                    </button>
                                  </div>
                                  <div class="modal-body">
                                      <div id="error-alert" class="alert alert-danger" role="alert" style="display: none">
                                      </div>
                                      <form id="create-form" action="{% url create_url %}" method="post" enctype="multipart/form-data">
                                          {% csrf_token %}
                                          {{ create_form|crispy }}
                                      </form>

                                  </div>
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
                                    <button type="submit" form="create-form" class="btn btn-primary">Сохранить</button>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <!-- Modal -->
                            {% endblock %}
                  {% endfor %}
                  </tbody>
                </table>

    <script>
        $(document).ready(function () {
            $('#id_start_date').hide()
            $('#id_end_date').hide()
            $('label[for=id_start_date]').hide()
            $('label[for=id_end_date]').hide()

            $('#id_temporary').change(function () {
                if ($(this).prop('checked')) {
                    $('#id_start_date').show()
                    $('#id_start_date').prop('required', true)
                    $('#id_end_date').show()
                    $('#id_end_date').prop('required', true)
                    $('label[for=id_start_date]').show()
                    $('label[for=id_end_date]').show()
                } else {
                    $('#id_start_date').hide()
                    $('#id_end_date').hide()
                    $('label[for=id_start_date]').hide()
                    $('label[for=id_end_date]').hide()
                    $('#id_start_date').prop('required', false)
                    $('#id_end_date').prop('required', false)

                }
            })

        })
    </script>

{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">
    <script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>
    <script src="{% static 'custom/clockpicker/src/clockpicker.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/clockpicker/src/clockpicker.css' %}">
    <script src="{% static 'custom/js/timepicker.js' %}"></script>
{% endblock %}
